For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to page URLs.
Skip to content

Guest

Guest text-to-speech (no login required)

post

Text-to-speech for unauthenticated users. Rate-limited by IP address. Only whitelisted built-in voices are available. Text is limited to 400 characters. Each IP is limited to 5 requests per month.

Body
textstring · max: 400Required

Text to convert to speech (max 400 characters)

voice_idstringRequired

Voice ID (must be from the guest whitelist). Available voices — en: 95814add, 5a68d66b, a845c7de, 883b6b7c, 0e4ab6ec; zh: 3b9f1e27, b4775100, ac09aeb4, 87cb2405, 77e15f2c; ja: 063a4491, 4252b9c8, 578b4be2, f00e45a1, a9249ce7.

output_formatstring · enumOptional

Output audio format

Default: wavPossible values:
target_langstringOptional

Target language code (e.g., "zh", "en", "ja")

speednumber · min: 0.5 · max: 2Optional

Speech speed multiplier (0.5–2.0)

Default: 1
filter_typestring · enumOptional

Optional audio filter effect

Possible values:
Responses
200

Success — returns audio binary stream

string · binaryOptional
post/guest/text-to-speech
POST /v1/guest/text-to-speech HTTP/1.1
Host: noiz.ai
Content-Type: multipart/form-data

text=Hello, how are you?&voice_id=95814add
binary

Last updated